Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	libtiff provides support for the Tag Image File Format (TIFF).
Name:		libtiff
Version:	3.8.2
Release:	2
License:	GNU/GPL 
URL:		http://www.remotesensing.org/libtiff/
Group:		System/Libraries
Source0:	tiff-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	libjpeg zlib
BuildRequires:	libjpeg-devel zlib-devel
BuildConflicts: xorg-x11-drv-nvidia xorg-x11-drv-fglrx xorg-x11-drv-nvidia-legacy xorg-x1-drv-nvidia-legacy96xx

%description
libtiff provides support for the Tag Image File Format (TIFF),
a widely used format for storing image data.
For more details see: http://www.remotesensing.org/libtiff/

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n tiff-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 11 2008 Christian Wasem <wasem@ccux-linux.de> 3.8.2-2
- rebuild, correct linking against libGL.so.1 from mesa
* Tue Aug 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.8.2-1
- Version Update
* Mon Feb 13 2006 Christian Wasem <wasem@ccux-linux.de> 3.8.1-1
- Version Update
* Sun Jan 01 2006 Christian Metzen <metzench@ccux-linux.de> 3.8.0-2
- Redefined files list
* Sat Dec 31 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.8.0-1
- Version Update
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 3.7.3-2
- cleaned up spec-file
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 3.7.3-1
- update to Version 3.7.3
